Bug 476378

Summary: udev startup warnings
Product: [Fedora] Fedora Reporter: Christopher Beland <beland>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: harald
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-16 04:43:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Christopher Beland 2008-12-13 16:08:15 EST
On bootup, I'm getting the following warnings:

>>
Starting udev: udevd[746]: specified group 'video' unknown

the program '/bin/bash' called '/sbin/udevsettle', it should use 'udevadm settle
 <options>', this will stop working in a future release
udevadm[767]: the program '/bin/bash' called '/sbin/udevsettle', it should use '
udevadm settle <options>', this will stop working in a future release
<<

This is with udev-135-1.fc11.x86_64.  Let me know if any further information is needed for debugging.  Thanks!
Comment 1 Harald Hoyer 2008-12-15 10:01:16 EST
Please provide the output of:

# fgrep udevsettle -r /etc/udev /lib/udev /bin /usr/bin
Comment 2 Christopher Beland 2008-12-15 10:53:22 EST
That command produces no output.
Comment 3 Harald Hoyer 2008-12-15 11:07:16 EST
did you remove the "#" from the beginning?
Comment 4 Christopher Beland 2008-12-15 11:19:10 EST
Yes.
Comment 5 Harald Hoyer 2008-12-15 11:52:59 EST
ok, then

# fgrep udevsettle -r /etc/
Comment 6 Christopher Beland 2008-12-15 12:15:13 EST
That produces:

fgrep: /etc/rc0.d/K10ConsoleKit: No such file or directory
fgrep: /etc/rc5.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc3.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc4.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc0.d/K10ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc5.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc3.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc4.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc6.d/K10ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc2.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc.d/rc1.d/K10ConsoleKit: No such file or directory
fgrep: /etc/rc6.d/K10ConsoleKit: No such file or directory
fgrep: /etc/httpd/run/acpid.socket: No such device or address
fgrep: /etc/httpd/run/setroubleshoot/setroubleshoot_server: No such device or address
fgrep: /etc/httpd/run/portreserve/socket: No such device or address
fgrep: /etc/httpd/run/avahi-daemon/socket: No such device or address
fgrep: /etc/httpd/run/cups/cups.sock: No such device or address
fgrep: /etc/httpd/run/dbus/system_bus_socket: No such device or address
fgrep: /etc/httpd/run/dovecot/auth-worker.1965: No such device or address
fgrep: /etc/httpd/run/dovecot/login/default: No such device or address
fgrep: /etc/httpd/run/dovecot/dict-server: No such device or address
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-ppc64: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-i386: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-ppc: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-ppc64: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-ppc: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-x86_64: No such file or directory
fgrep: /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-i386: No such file or directory
fgrep: /etc/rc2.d/S90ConsoleKit: No such file or directory
fgrep: /etc/rc1.d/K10ConsoleKit: No such file or directory
Comment 7 Harald Hoyer 2008-12-15 13:12:12 EST
Hmm, still nothing ...

# fgrep udevsettle -r /sbin /usr/sbin 2>/dev/null


should produce start_udev at least.
Comment 8 Christopher Beland 2008-12-15 14:00:05 EST
Yes, that produces:

/sbin/start_udev:           /sbin/udevsettle --timeout=$timeout
/sbin/start_udev:           /sbin/udevsettle
Binary file /usr/sbin/gpartedbin matches
Comment 9 Harald Hoyer 2008-12-16 04:43:33 EST
fixed in udev-135-2
Comment 10 Christopher Beland 2008-12-17 13:30:18 EST
I rebooted with udev-135-3.fc11.x86_64 and the udevsettle messages are gone.  Thanks for the fix!